Draft Scale/tr: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
{{GuiCommand/tr|Name=Draft Scale|Name/tr=Draft Scale|Workbenches=[[Draft Module/tr|Draft]], [[Arch Module/tr|Arch]]|MenuLocation=Draft → Scale|Shortcut=S C|SeeAlso=[[Draft Clone/tr|Draft Clone]]}}
{{GuiCommand/tr|Name=Draft Scale|Name/tr=Draft Scale|Workbenches=[[Draft Module/tr|Draft]], [[Arch Module/tr|Arch]]|MenuLocation=Draft → Scale|Shortcut=S C|SeeAlso=[[Draft Clone/tr|Draft Clone]]}}


==Description==
==Description==


This tool scales selected object(s) around a base point. If no object is selected, you will be invited to select one. It can also be used to mirror objects.
This tool scales selected object(s) around a base point. If no object is selected, you will be invited to select one.


[[Image:Draft_Scale_example.jpg|400px]]
[[Image:Draft_Scale_example.jpg|400px]]
Line 11: Line 12:
# Select objects you wish to scale
# Select objects you wish to scale
# Press the {{KEY|[[Image:Draft Scale.png|16px]] [[Draft Scale]]}} button, or press {{KEY|S}} then {{KEY|C}} keys
# Press the {{KEY|[[Image:Draft Scale.png|16px]] [[Draft Scale]]}} button, or press {{KEY|S}} then {{KEY|C}} keys
# Click a first point on the 3D view, or type a [[Draft_Coordinates|coordinate]]
# Click a first point on the 3D view, or type a [[Draft_Coordinates|coordinate]] to define the base point of the scaling
# Another task dialog with scaling options opens. Fill in the different options, and press {{KEY|OK}} to accept
# Click another point on the 3D view, or type a [[Draft_Coordinates|coordinate]]


==Options==
==Options==


* To enter coordinates manually, simply enter the numbers, then press {{KEY|ENTER}} between each X, Y and Z component.
* To enter base point coordinates manually, simply enter the numbers, then press {{KEY|ENTER}} between each X, Y and Z component.
* Fill in the X, Y and Z scaling value to define the scaling.
* The x, y and z components of the second point define the scale factor. For example, (1,1,1) would do nothing, (2,2,2) would scale 2x in all directions, (-1,1,1) would mirror in x direction.
* Checking the "Uniform scaling" option will lock the X, Y and Z to the same value
* Pressing {{KEY|ALT}} or {{KEY|C}} or clicking the {{KEY|'''Copy'''}} button will make a copy of the objects, instead of scaling the original. If you keep {{KEY|ALT}} pressed after clicking the second point, you will be able to place more copies, until you release the {{KEY|ALT}} key.
* The "Relative to Working Plane" option will consider X, Y and Z scaling values to be taken along he current [[Draft SelectPlane|Working Plane]]. Otherwise, global X, Y and Z directions are used.
* Press {{KEY|CTRL}} while drawing to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
* The result of the scaling operation can be:
* Pressing {{KEY|SHIFT}} will lock x and y values together, so the shape is not deformed.
** A [[Draft Clone]] of the original objects, which doesn't modify the original objects, but allow you to change the scaling factor manually later on (works for all object types)
* Press {{KEY|ESC}} or the {{KEY|'''Cancel'''}} button to abort the current command.
** The original objects have their size modified (will only work with Draft objects or non-parametric Part shapes)
* The resulting object is a [[Draft Clone]], which allows you to change the scale values after it has been created.
** A scaled copy of the base objects is produced (will work for all object types, but only the copies of Draft objects will be parametric)
* Mirroring objects works by inverting the sign of one of the directions. For example, (-1,1,1) mirrors horizontally (on the X axis), and (1,-1,1) vertically (on the Y axis).


==Scripting==
==Scripting==
Line 44: Line 45:
Draft.scale(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,2))
Draft.scale(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,2))
}}
}}

<languages/>

Revision as of 21:09, 2 August 2018

Draft Scale

Menü konumu
Draft → Scale
Tezgahlar
Draft, Arch
Varsayılan kısayol
S C
Versiyonda tanıtıldı
-
Ayrıca bkz
Draft Clone

Description

This tool scales selected object(s) around a base point. If no object is selected, you will be invited to select one.

File:Draft Scale example.jpg

How to use

  1. Select objects you wish to scale
  2. Press the Draft Scale button, or press S then C keys
  3. Click a first point on the 3D view, or type a coordinate to define the base point of the scaling
  4. Another task dialog with scaling options opens. Fill in the different options, and press OK to accept

Options

  • To enter base point coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Fill in the X, Y and Z scaling value to define the scaling.
  • Checking the "Uniform scaling" option will lock the X, Y and Z to the same value
  • The "Relative to Working Plane" option will consider X, Y and Z scaling values to be taken along he current Working Plane. Otherwise, global X, Y and Z directions are used.
  • The result of the scaling operation can be:
    • A Draft Clone of the original objects, which doesn't modify the original objects, but allow you to change the scaling factor manually later on (works for all object types)
    • The original objects have their size modified (will only work with Draft objects or non-parametric Part shapes)
    • A scaled copy of the base objects is produced (will work for all object types, but only the copies of Draft objects will be parametric)

Scripting

The Scale tool can by used in macros and from the python console by using the following function:

scale (objects,vector,[center,copy,legacy])
  • Scales the objects contained in objects (that can be a list of objects or an object) of the given scale factors defined by the given vector (in X, Y and Z directions) around the given center.
  • If legacy is True, direct (old) mode is used, otherwise a parametric copy is made.
  • If copy is True, the actual objects are not moved, but copies are created instead.
  • The objects (or their copies) are returned.

Example:

import FreeCAD,Draft
Draft.scale(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,2))